package de.hszg.fei.svBeispiel;

import de.hszg.fei.svBeispiel.R;
import android.content.Context;
import android.graphics.Color;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.widget.Button;
import android.widget.LinearLayout;
import android.view.View;

public class MainLayout extends LinearLayout 
                        implements View.OnClickListener {
	
	private Button buttonRot;
	private Button buttonGruen;
	private Button buttonBlau;
	private Button buttonCircle;
	private Button buttonClear;
	
	private SampleView sampleView;

	public MainLayout(Context context) {
		super(context);
		
		init();
	}

	public MainLayout(Context context, AttributeSet attrs) {
		super(context, attrs);
		
		init();
	}

	private void init() {
        LayoutInflater li = (LayoutInflater)this.getContext().getSystemService(Context.LAYOUT_INFLATER_SERVICE);
		
		li.inflate(R.layout.main, this, true);
		
		this.buttonRot = (Button)findViewById(R.id.buttonRot);
		this.buttonRot.setOnClickListener(this);
		this.buttonGruen = (Button)findViewById(R.id.buttonGruen);
		this.buttonGruen.setOnClickListener(this);
		this.buttonBlau = (Button)findViewById(R.id.buttonBlau);
		this.buttonBlau.setOnClickListener(this);
		
		this.buttonCircle = (Button)findViewById(R.id.buttonCircle);
		this.buttonCircle.setOnClickListener(this);
		
		this.buttonClear = (Button)findViewById(R.id.buttonClear);
		this.buttonClear.setOnClickListener(this);
		
		this.sampleView = (SampleView)findViewById(R.id.sampleview);
	}
	
	public void onClick(View view) {
		if ( view == this.buttonRot ) {
			this.sampleView.setColor(Color.RED);
		}
		else if ( view == this.buttonGruen ) {
			this.sampleView.setColor(Color.GREEN);
		}
		else if ( view == this.buttonBlau ) {
			this.sampleView.setColor(Color.BLUE);
		}
		else if ( view == this.buttonCircle ) {
			this.sampleView.newCircle();
		}
		else if ( view == this.buttonClear ) {
			this.sampleView.clearCircles();
		}
	}
}
